package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.Photo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PhotoDao extends BaseDAO<Integer, Photo> {


    void deleteByAlbumIds(String albumIds);

    int deleteByIds(@Param("ids") String ids);

    int batchInsert(@Param("photoList") List<Photo> photoList);

    int batchUpdate(@Param("photoList") List<Photo> photoList);
}